--- pdns-svn/pdns/dnsbackend.cc	2005-11-06 19:11:52.000000000 +0100
+++ pdns-svn.new/pdns/dnsbackend.cc	2006-02-25 14:34:26.946481392 +0100
@@ -237,8 +237,10 @@
     DNSResourceRecord i;
     time_t newest=0;
 
-    if(!(this->list(domain, sd.domain_id))) 
-      throw AhuException("Backend error trying to determine magic serial number of zone '"+domain+"'");
+    if(!(this->list(domain, sd.domain_id))) {
+      DLOG(L<<Logger::Warning<<"Backend error trying to determine magic serial number of zone '"<<domain<<"'"<<endl);
+      return false;
+    }
   
     while(this->get(i)) {
       if(i.last_modified>newest)
